OrthoOn 属性 (ActiveX)
指定视口的“等轴测捕捉”模式的状态。 支持的平台:仅限 Windows 属性值只读:不 类型:布尔
言论没有其他评论。 例子VBA: Sub Example_OrthoOn() ' This example toggles the setting of OrthoOn. Dim viewportObj As AcadViewport ' Set the viewportObj variable to the activeviewport Set viewportObj = ThisDrawing.ActiveViewport ' Display the current setting of OrthoOn MsgBox "Isometric snap mode is: " & IIf(viewportObj.OrthoOn, "On", "Off"), , "OrthoOn Example" ' Toggle the setting of OrthoOn viewportObj.OrthoOn = Not (viewportObj.OrthoOn) ' Reset the active viewport to see the change on the AutoCAD status bar ThisDrawing.ActiveViewport = viewportObj MsgBox "Isometric snap mode is now: " & IIf(viewportObj.OrthoOn, "On", "Off"), , "OrthoOn Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_OrthoOn() ;; This example toggles the setting of OrthoOn. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Set the viewportObj variable to the activeviewport (setq viewportObj (vla-get-ActiveViewport doc)) ;; Display the current setting of OrthoOn (alert (strcat "Isometric snap mode is: " (if (= (vla-get-OrthoOn viewportObj) :vlax-true) "On" "Off"))) ;; Toggle the setting of OrthoOn (vla-put-OrthoOn viewportObj (if (= (vla-get-OrthoOn viewportObj) :vlax-true) :vlax-false :vlax-true)) ;; Reset the active viewport to see the change on the AutoCAD status bar (vla-put-ActiveViewport doc viewportObj) (alert (strcat "Isometric snap mode is now: " (if (= (vla-get-OrthoOn viewportObj) :vlax-true) "On" "Off"))) ) |
|Archiver|CAD开发者社区
( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-3-14 07:57
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.